
Figure - Bug #118150
【IOVDEV-29691】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏调节增大音量，音量条回弹
至静音
2023-05-22 18:43 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-22

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0095.c103  中控：03.02.0080.C101

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version: 0722DB

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 将mute的执行放在后台线程中执行，不卡主微服务的转发。

Description

【环境信息】EE环境

【问题出现时间】：20230522  13点48分（ 第159次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.中控设置-声音中，开启静音

2.副屏调节音量一格

3.检查副屏与中控的声音状态

【实际结果】

副屏端音量显示1格回弹至静音，显示静音图标；中控端显示音量1格，显示静音关闭状态。

【期望结果】

副屏与中控声音同步显示声音1格，非静音状态。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取

log地址：https://ofs.human-horizons.com/#/download/index/xDarUKDJ59E%3D

视频地址：https://ofs.human-horizons.com/#/download/index/ydzbDmBk2WI%3D

【影响版本】：副屏：01.00.0095.c103  中控：03.02.0080.C101

【硬件版本号】：/

【是否能恢复】：

Related issues:

Related to Figure - Bug # 118141: 【IOVDEV-29698】【内部】【VC1】... CLOSED 2023-05-22

History

#1 - 2023-05-22 18:47 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118150
#2 - 2023-05-22 20:38 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

Hi 诗雨

这个音量条显示不正确的问题，我们应该改过好几个BUG

此问题我在新版本上没有复现，客户使用的是0095版本，已经快一个月了，能使用新版本验证下不，谢谢

#3 - 2023-05-23 14:27 - CDTS_Test 吴诗雨

- File 1423.txt added

- Assignee changed from CDTS_Test 吴诗雨 to CD FW 曹覃刚

本地复现，102版本。14：23复现回弹

#4 - 2023-05-23 20:24 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#5 - 2023-05-24 15:34 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Need_Info changed from TEST to --

- Resolution changed from -- to DUPLICATE

#6 - 2023-05-24 16:11 - CD FW-廖涛

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-廖涛

- Need_Info changed from -- to TEST

- Resolution changed from DUPLICATE to --

■ Current conclusion

通过问题出现是的日志分析，在副屏请求将音量从静音调节为大于 0 的值（非静音）时，中控会先发送一条 mute_off 的音频请求消息，然后再回复一条

音量值变更的消息。由于音频服务处理中控消息是串行的，所以在收到 mute_off 消息后先处理，在收到音量值变更回复时，前一条消息还没有处理完成

，导致音量值变更回复接收超时（600ms）。最终导致音量回弹现象出现。

日志如下：

05-23 14:23:15.628  1234  4314 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

05-23 14:23:15.628  1234  4314 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"4"}}

05-23 14:23:15.628  1234  4314 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"4"}}.

05-23 14:23:15.633  2020  5084 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1684822995628914424',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1684822995628914424,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"4"}}}}

05-23 14:23:15.643  2020  5085 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='0', uuid='531835616567',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setMute","messageType":0,"uuid":531835616567,"parameters":

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_off"}}}}

05-23 14:23:15.643  2020  5085 I MicroService: onRequest(setMute): {"functionInfo":{"IDCM_VolumeMute_Media":"mute_off"}}
05-23 14:23:15.645  1234  2067 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_off"}}

05-23 14:23:15.645  1234  2067 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_off isRequested=false

05-23 14:23:15.645  1234  2067 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_off

05-23 14:23:15.658  2020  5086 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1684822995628914424',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":1684822995628914424,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"4"}}}}

05-23 14:23:15.658  2020  5086 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"4"}}

05-23 14:23:15.665     0     0 E [  533.592640] DTC_Display: screen not ready(0), bl_sta(1), lvl(53)

05-23 14:23:16.229  1234  4314 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return null

05-23 14:23:16.229  1234  4314 W AS.AudioService: idcm_warn: fail to set Vol: 4, respone: null

05-23 14:23:16.229  1234  4314 W AS.AudioService: idcm_warn: exception: java.lang.Exception: fail to set Vol: 4

■ Next action

已和卿山沟通，目前讨论出的解决方案如下：

方案一：

副屏音量从静音变更为非静音时，中控只回复一条消息。

需要和中控沟通。

方案二：

音频服务在后台线程中处理消息（并行处理）。

需要卿山评估是否可行。

#7 - 2023-05-24 16:14 - CD FW-廖涛

- Status changed from NEED_INFO to ASSIGNED

- Need_Info changed from TEST to --

#8 - 2023-05-24 19:46 - CD FW-廖涛

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD FW-廖涛 to Multimedia组-RD3_TSCD 梁卿山

#9 - 2023-05-25 16:25 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

由于中控无法只回复一条消息；

我们采用方案2，我们将mute的执行放在后台线程中执行，不卡主微服务的转发。

当前本地测试OK。

#10 - 2023-05-26 10:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202606 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com
MM: Audio:New Thread Processing Mute StateNew Thread Processing Mute StateTC-RID: 0301-0900116IssueID: TS-R-DF-118150Change-Id:

Ic71b2bce945c1af663c33f41df48d366380b1b82

#11 - 2023-05-26 15:11 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 将mute的执行放在后台线程中执行，不卡主微服务的转发。

HI 诗雨

优化代码已经投入，请使用5月26日后的版本进行验证，谢谢！

#12 - 2023-06-02 18:25 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

已同步

#13 - 2023-06-02 18:25 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#14 - 2023-06-07 19:12 - CDTS_Test 吴诗雨

- File 14点24分音量回弹至静音.mp4 added

- File 14点24分调节音量，音量条回弹.7z added

- Status changed from CLOSED to New

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

复现率降低，原先很容易复现，现状复现率约为1/10。

14点24分音量回弹至静音.mp414点24分调节音量，音量条回弹.7z

#15 - 2023-06-07 19:41 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-程天颖

HI ALL

根据日志分析：

该次问题是由于微服务出现报错导致调节音量失败，然后出现回弹。

103514:06-03 14:24:41.223  1544  8172 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=1, calling=com.android.settings)

103515:06-03 14:24:41.223  1544  8172 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

103516:06-03 14:24:41.223  1544  8172 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"1"}}

103517:06-03 14:24:41.223  1544  8172 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"1"}}.
103518:06-03 14:24:41.237  2043 29061 E MicroService: DTC_ETH: BaseMicroSocketClient:createClientSocket() 

103519:06-03 14:24:41.237  2043 29061 E MicroService: java.net.ConnectException: failed to connect to /192.168.4.4 (port 9999) from /192.168.4.16 (port 34147):

connect failed: ECONNREFUSED (Connection refused)

103520:06-03 14:24:41.237  2043 29061 E MicroService:     at libcore.io.IoBridge.connect(IoBridge.java:188)

103521:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.PlainSocketImpl.socketConnect(PlainSocketImpl.java:142)

103522:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:390)

103523:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:230)

103524:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:212)

103525:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:436)

103526:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.Socket.connect(Socket.java:621)

103527:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.Socket.connect(Socket.java:570)

103528:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.Socket.<init>(Socket.java:450)

103529:06-03 14:24:41.237  2043 29061 E MicroService:     at java.net.Socket.<init>(Socket.java:292)

103530:06-03 14:24:41.237  2043 29061 E MicroService:     at

com.thundercomm.microservice.base.BaseMicroSocketClient.createClientSocket(BaseMicroSocketClient.java:20)

103531:06-03 14:24:41.237  2043 29061 E MicroService:     at

com.thundercomm.microservice.MicroSocketClient.lambda$sendMessage$0$MicroSocketClient(MicroSocketClient.java:72)

103532:06-03 14:24:41.237  2043 29061 E MicroService:     at com.thundercomm.microservice.MicroSocketClient$$ExternalSyntheticLambda1.run(Unknown

Source:4)

103533:06-03 14:24:41.237  2043 29061 E MicroService:     at java.lang.Thread.run(Thread.java:920)

103534:06-03 14:24:41.237  2043 29061 E MicroService: Caused by: android.system.ErrnoException: connect failed: ECONNREFUSED (Connection refused)

103535:06-03 14:24:41.237  2043 29061 E MicroService:     at libcore.io.Linux.connect(Native Method)

103536:06-03 14:24:41.237  2043 29061 E MicroService:     at libcore.io.ForwardingOs.connect(ForwardingOs.java:204)

103537:06-03 14:24:41.237  2043 29061 E MicroService:     at libcore.io.BlockGuardOs.connect(BlockGuardOs.java:157)

103538:06-03 14:24:41.237  2043 29061 E MicroService:     at libcore.io.ForwardingOs.connect(ForwardingOs.java:204)

103539:06-03 14:24:41.237  2043 29061 E MicroService:     at libcore.io.IoBridge.connectErrno(IoBridge.java:202)

103540:06-03 14:24:41.237  2043 29061 E MicroService:     at libcore.io.IoBridge.connect(IoBridge.java:180)

103541:06-03 14:24:41.237  2043 29061 E MicroService:     ... 13 more

104149:06-03 14:24:41.824  1544  8172 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return null

104150:06-03 14:24:41.824  1544  8172 W AS.AudioService: idcm_warn: fail to set Vol: 1, respone: null

104151:06-03 14:24:41.824  1544  8172 W AS.AudioService: idcm_warn: exception: java.lang.Exception: fail to set Vol: 1

104209:06-03 14:24:41.853  1544  8172 D AS.AudioService: idcm_volume:==> adjustStreamMute: isStreamMute = false

下一步：

请天颖帮忙分析一下报错的问题，谢谢！

#16 - 2023-06-08 13:41 - CD FW-程天颖

- Category changed from AUDIO-FW to BSP

- Assignee changed from CD FW-程天颖 to CD_BSP 彭文亮

Hi,文亮

   根据日志分析是网络连接失败

103519:06-03 14:24:41.237  2043 29061 E MicroService: java.net.ConnectException: failed to connect to /192.168.4.4 (port 9999) from /192.168.4.16 (port 34147): connect

failed: ECONNREFUSED (Connection refused)

帮忙分析一下为什么网络会连接出现问题

#17 - 2023-06-12 11:23 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED
- Resolution changed from FIXED to DUPLICATE

在JIRA上跟踪， 内部关闭此票。

#18 - 2023-06-12 11:24 - CD TPM-王祥林

- Assignee changed from CD_BSP 彭文亮 to CDTS_Test 吴诗雨

#19 - 2023-06-12 16:00 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306100050版本验证通过

#20 - 2023-07-24 17:49 - CDTS_TEST 王成

- Assignee changed from CDTS_Test 吴诗雨 to 物联网测试组_TSCD 王维

#21 - 2023-07-24 18:07 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

- Verified Version set to 0722DB

验证结果：PASS

验证方法：执行复现步骤数十次未复现bug

Files

13点48分副屏调节音量，音量回弹.mp4 21.2 MB 2023-05-22 CDTS_Test 吴诗雨

1423.txt 2.72 MB 2023-05-23 CDTS_Test 吴诗雨

14点24分音量回弹至静音.mp4 3.41 MB 2023-06-07 CDTS_Test 吴诗雨

14点24分调节音量，音量条回弹.7z 624 KB 2023-06-07 CDTS_Test 吴诗雨
